package controlflow

import java.text.DecimalFormat
import controlflow.dto.Rectangle

class PrettyPrinterXtend2 {
	
	public static val DecimalFormat INT_FORMAT = new DecimalFormat("00");

	def public static String prettyPrint(Object object) {
		switch (object) {
			Integer:
				"Integer: " + INT_FORMAT.format(object)
				
			Rectangle case object.width == object.height:
				"Square with side=" + object.width

			Rectangle:
				"Rect with width=" + object.width + " and height=" + object.height
			
			case null:
				"<null>"
			
			default:
				"Object: " + object
		}
	}	
}