package controlflow;

import controlflow.dto.Rectangle;
import java.text.DecimalFormat;
import java.util.Arrays;
import org.eclipse.xtext.xbase.lib.Functions.Function0;

@SuppressWarnings("all")
public class PrettyPrinterXtend1 {
  public final static DecimalFormat INT_FORMAT = new Function0<DecimalFormat>() {
    public DecimalFormat apply() {
      DecimalFormat _decimalFormat = new DecimalFormat("00");
      return _decimalFormat;
    }
  }.apply();
  
  public static String _prettyPrint(final Integer intValue) {
    String _format = PrettyPrinterXtend1.INT_FORMAT.format(intValue);
    return ("Integer: " + _format);
  }
  
  public static String _prettyPrint(final Rectangle it) {
    String _xblockexpression = null;
    {
      int _width = it.getWidth();
      int _height = it.getHeight();
      boolean _equals = (_width == _height);
      if (_equals) {
        int _width_1 = it.getWidth();
        return ("Square with side=" + Integer.valueOf(_width_1));
      }
      int _width_2 = it.getWidth();
      String _plus = ("Rect with width=" + Integer.valueOf(_width_2));
      String _plus_1 = (_plus + " and height=");
      int _height_1 = it.getHeight();
      String _plus_2 = (_plus_1 + Integer.valueOf(_height_1));
      _xblockexpression = (_plus_2);
    }
    return _xblockexpression;
  }
  
  public static String _prettyPrint(final Void object) {
    return "<null>";
  }
  
  public static String _prettyPrint(final Object object) {
    String _plus = ("Object: " + object);
    return _plus;
  }
  
  public static String prettyPrint(final Object intValue) {
    if (intValue instanceof Integer) {
      return _prettyPrint((Integer)intValue);
    } else if (intValue instanceof Rectangle) {
      return _prettyPrint((Rectangle)intValue);
    } else if (intValue == null) {
      return _prettyPrint((Void)null);
    } else if (intValue != null) {
      return _prettyPrint(intValue);
    } else {
      throw new IllegalArgumentException("Unhandled parameter types: " +
        Arrays.<Object>asList(intValue).toString());
    }
  }
}
