package controlflow;

import com.google.common.base.Objects;
import controlflow.dto.Rectangle;
import java.text.DecimalFormat;
import org.eclipse.xtext.xbase.lib.Functions.Function0;

@SuppressWarnings("all")
public class PrettyPrinterXtend2 {
  public final static DecimalFormat INT_FORMAT = new Function0<DecimalFormat>() {
    public DecimalFormat apply() {
      DecimalFormat _decimalFormat = new DecimalFormat("00");
      return _decimalFormat;
    }
  }.apply();
  
  public static String prettyPrint(final Object object) {
    String _switchResult = null;
    boolean _matched = false;
    if (!_matched) {
      if (object instanceof Integer) {
        final Integer _integer = (Integer)object;
        _matched=true;
        String _format = PrettyPrinterXtend2.INT_FORMAT.format(_integer);
        String _plus = ("Integer: " + _format);
        _switchResult = _plus;
      }
    }
    if (!_matched) {
      if (object instanceof Rectangle) {
        final Rectangle _rectangle = (Rectangle)object;
        int _width = _rectangle.getWidth();
        int _height = _rectangle.getHeight();
        boolean _equals = (_width == _height);
        if (_equals) {
          _matched=true;
          int _width_1 = _rectangle.getWidth();
          String _plus = ("Square with side=" + Integer.valueOf(_width_1));
          _switchResult = _plus;
        }
      }
    }
    if (!_matched) {
      if (object instanceof Rectangle) {
        final Rectangle _rectangle = (Rectangle)object;
        _matched=true;
        int _width = _rectangle.getWidth();
        String _plus = ("Rect with width=" + Integer.valueOf(_width));
        String _plus_1 = (_plus + " and height=");
        int _height = _rectangle.getHeight();
        String _plus_2 = (_plus_1 + Integer.valueOf(_height));
        _switchResult = _plus_2;
      }
    }
    if (!_matched) {
      if (Objects.equal(object,null)) {
        _matched=true;
        _switchResult = "<null>";
      }
    }
    if (!_matched) {
      String _plus = ("Object: " + object);
      _switchResult = _plus;
    }
    return _switchResult;
  }
}
